Subject: RE: [Isis-wg] confusion regarding IP summarization

From: "Rajesh Saluja"<[email-masked]>
Date: Wed, 27 Mar 2002 07:29:18 -0800

Yes, advertise summary address only if you have at least one more specific
network (for this summary) calculated through level 1 SPF. 

Thanks,
Rajesh

-----Original Message-----
From: stefano previdi [mailto:[email-masked]]
Sent: Wednesday, March 27, 2002 10:21 AM
To: Saluja, Rajesh [BL60:432:EXCH]; Aravind Ravikumar
Cc: [email-masked]
Subject: Re: [Isis-wg] confusion regarding IP summarization

On Wednesday 27 March 2002 15:57, Rajesh Saluja wrote:
> Aravind Ravikumar wrote:
> 
> > Hi, All
> >
> > I am not  clear about, what other information
> > should be included in IP reachability
> > field of level 2 LSP by a L1L2 IS, apart from IP addresses
> > which are directly reachable via its own interfaces.
> >
> > Is it required to advertise ALL IP networks that are learned
> > from other system's L1 LSP's IP reachability entries?
> >
> >  or
> >
> > is it enough if the IS  advetises(in its level2 LSP) ,only those
> > networks
> > which it considers reachable after the level1 SPF?
> 
> I think you should advertise the configured summary addresses and then
> go through the networks reachable after the level1 SPF and if the
> network is not covered by the summary address, you should advertise that
> network as well.

I would suggest to advertise summary addresses only if you have 
more specific routes.

s.

> 
> Thanks,
> Rajesh
> 
> >
> >
> >
> > Thanks in advance
> > Aravind
> >
> >
> > -----------------------------------------------------------------------
> > Do You Yahoo!?
> > Yahoo! Movies - coverage of the 74th Academy Awards®
> 
> --
> 
> -------------------------------------------------------------
> Rajesh Saluja
> Nortel Networks Inc 600 Technology Park Billerica, MA  01821
> Ph: (978) 288-7791      Fax: (978) 670-8760
> --------------------------------------------------------------
> 
> 
> 
> _______________________________________________
> Isis-wg mailing list  -  [email-masked]
> http://spider.juniper.net/mailman/listinfo/isis-wg
>

---

From: "Terry Canning"<[email-masked]>
Date: Wed, 27 Mar 2002 15:49:38 -0000

Folks,

RFC 1195 is quite clear on this matter. Section 3.2 states:

   The manually configured addresses are included in level 2 LSPs only

   if they correspond to at least one address which is reachable in the

   area. For manually configured level 2 addresses, the associated

   metric values to announce in level 2 LSPs are also manually

   configured. The configured addresses will supercede reachable address

   entries from level 1 LSPs based only on the IP address and subnet

   mask -- metric values are not considered when determining if a given

   configured address supercedes an address obtained from a level 1 LSP.

   Any address obtained from a level 1 LSP which is not superceded by

   the manually configured information is included in the level 2 LSPs.

Regards

Terry Canning

-----Original Message-----
From: stefano previdi [mailto:[email-masked]]
Sent: 27 March 2002 15:21
To: Saluja, Rajesh [BL60:432:EXCH]; Aravind Ravikumar
Cc: [email-masked]
Subject: Re: [Isis-wg] confusion regarding IP summarization

more specific routes.

s.